//
//  EditVocableTableViewCell.swift
//  Vok
//
//  Created by Wilhelm Oks on 27.10.15.
//  Copyright © 2015 SIC! Software GmbH. All rights reserved.
//

import Foundation
import UIKit

class EditVocableTableViewCell : UITableViewCell {
    
    var vocable: Vocable!
    
    @IBOutlet weak var originalTextField: UITextField!
    @IBOutlet weak var translationTextField: UITextField!
    
    func setup() {
        originalTextField.delegate = self
        translationTextField.delegate = self
        
        originalTextField.text = vocable.original
        translationTextField.text = vocable.translation
    }
}

extension EditVocableTableViewCell : UITextFieldDelegate {
    func textFieldDidEndEditing(textField: UITextField) {
        if textField == originalTextField {
            vocable.original = textField.text ?? ""
        } else if textField == translationTextField {
            vocable.translation = textField.text ?? ""
        }
    }
    
    func textFieldShouldReturn(textField: UITextField) -> Bool {
        if textField == originalTextField {
            translationTextField.becomeFirstResponder()
        } else {
            textField.resignFirstResponder()
        }
        return true
    }
}
