//
//  LearnViewController.swift
//  Vok
//
//  Created by Wilhelm Oks on 27.10.15.
//  Copyright © 2015 SIC! Software GmbH. All rights reserved.
//

import Foundation
import UIKit

class LearnViewController : UIViewController {
    
    var package: Package!
    var currentVocableIndex = 0
    
    @IBOutlet weak var originalLabel: UILabel!
    @IBOutlet weak var translationButton: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        if package.vocabulary.count > 0 {
            showCurrentVocable()
        } else {
            originalLabel.text = ""
            translationButton.enabled = false
            translationButton.setTitle("", forState: .Normal)
            navigationItem.rightBarButtonItems = []
        }
    }
    
    func showCurrentVocable() {
        originalLabel.text = package.vocabulary[currentVocableIndex].original
        translationButton.enabled = true
        translationButton.setTitle("Übersetung zeigen", forState: .Normal)
    }
    
    @IBAction func didTapShowTranslation(sender: AnyObject) {
        translationButton.enabled = false
        translationButton.setTitle(package.vocabulary[currentVocableIndex].translation, forState: .Normal)
    }
    
    @IBAction func didTapNextVocableButton(sender: AnyObject) {
        if currentVocableIndex < package.vocabulary.count - 1 {
            ++currentVocableIndex
            showCurrentVocable()
        }
        
        if currentVocableIndex == package.vocabulary.count - 1 {
            navigationItem.rightBarButtonItems = []
        }
    }
}
